Package ghidra.app.util.viewer.field

# Enum Class FieldNameFieldFactory.IndexFormat

java.lang.Object
java.lang.Enum<FieldNameFieldFactory.IndexFormat>
ghidra.app.util.viewer.field.FieldNameFieldFactory.IndexFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldNameFieldFactory.IndexFormat>`, `Constable`

Enclosing class:
  FieldNameFieldFactory

public static enum FieldNameFieldFactory.IndexFormat extends Enum<FieldNameFieldFactory.IndexFormat>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `binary`
  `decimal`
  `hex`
  `octal`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldNameFieldFactory.IndexFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FieldNameFieldFactory.IndexFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### decimal

    public static final FieldNameFieldFactory.IndexFormat decimal

  - ### hex

    public static final FieldNameFieldFactory.IndexFormat hex

  - ### octal

    public static final FieldNameFieldFactory.IndexFormat octal

  - ### binary

    public static final FieldNameFieldFactory.IndexFormat binary

- ## Method Details

  - ### values

    public static FieldNameFieldFactory.IndexFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FieldNameFieldFactory.IndexFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null